MediaVideos

Complete a video upload

POST/media/v1/projects/{projectId}/videos/{videoId}/upload/complete

Finalizes a previously initiated video upload.

X-API-Key<token>

In: header

Path Parameters

projectId*string

Project ID

videoId*string

Video ID

Response Body

200application/json

OK

type: object

bitrate?integer
codec?string
duration?number
framerate?string
hdr?boolean
height?integer
id?string
width?integer
400application/json

Bad Request

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

401application/json

Unauthorized

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

404application/json

Not Found

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X POST "https://api.rixl.com/media/v1/projects/string/videos/string/upload/complete"
fetch("https://api.rixl.com/media/v1/projects/string/videos/string/upload/complete", {
  method: "POST"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/media/v1/projects/string/videos/string/upload/complete"

  req, _ := http.NewRequest("POST", url, nil)

  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/media/v1/projects/string/videos/string/upload/complete"

response = requests.request("POST", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/media/v1/projects/string/videos/string/upload/complete"))
  .POST()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.PostAsync("https://api.rixl.com/media/v1/projects/string/videos/string/upload/complete");
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "bitrate": 0,
  "codec": "string",
  "duration": 0,
  "framerate": "string",
  "hdr": true,
  "height": 0,
  "id": "string",
  "width": 0
}

Bad Request

application/json

{
  "code": 400,
  "details": "The provided ID is not valid",
  "error": "Bad Request"
}

Unauthorized

application/json

{
  "code": 401,
  "details": "The provided ID is not valid",
  "error": "Unauthorized"
}

Not Found

application/json

{
  "code": 404,
  "details": "The provided ID is not valid",
  "error": "Not Found"
}